<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.usermodel.IgnoredErrorType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.usermodel.IgnoredErrorType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
               title="enum in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/IgnoredErrorType.html"
               target="_top">Frames</a></li>
        <li><a href="IgnoredErrorType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.usermodel.IgnoredErrorType" class="title">Uses of Class<br>org.apache.poi.ss.usermodel.IgnoredErrorType
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.helpers">org.apache.poi.xssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                   title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                    title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">IgnoredErrorType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                <div class="block">Returns the enum constant of this type with the specified name.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                    title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">IgnoredErrorType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#values--">values</a></span>()</code>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                   title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Map&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                    title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>,java.util.Set&lt;<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>&gt;&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getIgnoredErrors--">getIgnoredErrors</a></span>()</code>
                                <div class="block">Returns the errors currently being ignored and the ranges
                                    where they are ignored.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#addIgnoredErrors-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.IgnoredErrorType...-">addIgnoredErrors</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                   title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>...&nbsp;ignoredErrorTypes)</code>
                                <div class="block">Ignore errors across a range of cells.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#addIgnoredErrors-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.usermodel.IgnoredErrorType...-">addIgnoredErrors</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                   title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>...&nbsp;ignoredErrorTypes)</code>
                                <div class="block">Add ignored errors (usually to suppress them in the UI of a consuming
                                    application).
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                   title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.Set&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                    title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFIgnoredErrorHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFIgnoredErrorHelper.html#getErrorTypes-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError-">getErrorTypes</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError&nbsp;err)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFIgnoredErrorHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFIgnoredErrorHelper.html#addIgnoredErrors-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError-java.lang.String-org.apache.poi.ss.usermodel.IgnoredErrorType...-">addIgnoredErrors</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError&nbsp;err,
                                java.lang.String&nbsp;ref,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                   title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>...&nbsp;ignoredErrorTypes)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFIgnoredErrorHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFIgnoredErrorHelper.html#isSet-org.apache.poi.ss.usermodel.IgnoredErrorType-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError-">isSet</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                    title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&nbsp;errorType,
                                org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError&nbsp;error)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFIgnoredErrorHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFIgnoredErrorHelper.html#set-org.apache.poi.ss.usermodel.IgnoredErrorType-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError-">set</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                    title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&nbsp;errorType,
                                org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError&nbsp;error)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
               title="enum in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/IgnoredErrorType.html"
               target="_top">Frames</a></li>
        <li><a href="IgnoredErrorType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
